Page MenuHomePhabricator

#mwstake meeting at the Developers Summit
Closed, ResolvedPublic

Description

Session title
MediaWiki-Stakeholders-Group meeting at the Developers Summit

Main topic
MoU

Type of activity
Discussion and agreement

Description
Continued coordination with Wikimedia.

The problem

We have several on-going projects (e.g. T149874: move WikiApiary to Labs) that require coordination with the WMF.

Expected outcome

We would also like to have to chance to introduce ourselves to the new ED and finalize the Memorandum of Understanding.

Current status of the discussion

MoU is done on our side. See Current MoU

Proposed by
@MarkAHershberger

Preferred group size
10-15

Interested attendees (sign up below)

  1. @MarkAHershberger

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2016, 3:42 PM
Qgil added a subscriber: Qgil.

I think this meeting can be done in the same way as it was done in the last edition, as an open session. What do you think?

MarkAHershberger added a subscriber: RHeigl.

@MarkAHershberger Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  1. Add your name here

We will be reaching out to the summit participants next week asking them to express their interest in unconference sessions by signing up.

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

Qgil added a comment.Jan 6 2017, 5:54 PM

I guess the MediaWiki Stakeholders Group wants this meeting to happen? If so, please follow @srishakatux's instructions above.

MarkAHershberger updated the task description. (Show Details)

I guess the MediaWiki Stakeholders Group wants this meeting to happen? If so, please follow @srishakatux's instructions above.

Done. Sorry I missed this. Interested people please sign up above.

To the facilitator of this session: We have updated the unconference page with more instructions and faqs. Please review it in detail before the summit: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Unconference. If there are any questions or confusions, please ask! If your session gets a spot on the schedule, we would like you to read the session guidelines in detail: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We would also then expect you to recruit Note-taker(s) 2(min) and 3 (max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be available in all the session rooms! See you at the summit! :)

Qgil added a comment.Jan 11 2017, 5:05 PM

Golden Gate Club. There is a table booked for 11:00am in the Ventana big room, in one corner next to the window.

Seb35 added a subscriber: Seb35.Jan 11 2017, 5:08 PM
Qgil added a comment.Jan 11 2017, 6:58 PM

Sorry, Chapel Hill at 11:00 (in 2 minutes).

Qgil updated the task description. (Show Details)Jan 11 2017, 7:13 PM
Qgil added a subscriber: cicalese.Jan 17 2017, 7:31 AM

From the session notes:

Outcomes
Talk to Quim & developer relations team
Regular feedback from MW stakeholders on high-level needs (ex: deprecation policy, API needs)
Wishlist: https://www.mediawiki.org/wiki/MediaWiki_Stakeholders%27_Group/Tasks/Feature_wishlist
Cindy: Should update the wishlist based on a new survey.

@cicalese, an alternative would be to go through that page and turn those wishes into proposals for the Developer Wishlist Survey. Needless to say, you could invite of the MW Stakeholders / your contacts to propose other ideas as well. This way you save the effort of organizing a survey yourselves, and we can see how the MW Stakeholder interests score in the wider context of possible developer improvements.

What do you think?

Qgil added a comment.Jan 23 2017, 9:49 AM

I have posted this idea at https://www.mediawiki.org/wiki/Topic:Tjngozfrviw7ctj6 and I have shared the link with various members of this group.

Is there anything else I can do? Is there anything else to be done before resolving this task?

@Mglaser, @MarkAHershberger: What needs to be done before resolving this task?

MarkAHershberger closed this task as Resolved.Feb 21 2017, 3:43 PM
MarkAHershberger claimed this task.

@Aklapper: I think this has been resolved. Thanks for following up!